The Spring Framework

## org.springframework.beans
Interface PropertyEditorRegistrar

All Known Implementing Classes:
  ResourceEditorRegistrar

    public interface PropertyEditorRegistrar

Interface for strategies that register custom `property editors` with a `property editor registry`.

This is particularly useful when you need to use the same set of property editors in several different situations: write a corresponding registrar and reuse that in each case.

Since:
  1.2.6
Author:
  Juergen Hoeller
See Also:
  `PropertyEditorRegistry`, `PropertyEditor`

Method Summary
`void` `registerCustomEditors(PropertyEditorRegistry registry)` Register custom `PropertyEditors` with the given `PropertyEditorRegistry`.

Method Detail

### registerCustomEditors

    void registerCustomEditors(PropertyEditorRegistry registry)

  Register custom `PropertyEditors` with the given `PropertyEditorRegistry`.

  The passed-in registry will usually be a `BeanWrapper` or a `DataBinder`.

  It is expected that implementations will create brand new `PropertyEditors` instances for each invocation of this method (since `PropertyEditors` are not threadsafe).

  Parameters:
    `registry` - the `PropertyEditorRegistry` to register the custom `PropertyEditors` with

The Spring Framework

Copyright © 2002-2008 The Spring Framework.